{
  "extends": "@vue/tsconfig/tsconfig.json",
  "compilerOptions": {
    "target": "esnext",
    "module": "esnext",
    "strict": true,
    "resolveJsonModule": true,
    "outDir": "./distMap",
    "sourceMap": false,
    "baseUrl": ".",
    "paths": {
      "@/*": [
        "src/*"
      ],
      "@img/*": [
        "/src/static/images/*"
      ]
    },
    "lib": [
      "esnext",
      "dom"
    ],
    "typeRoots": [
      "./node_modules/@types/",
      "./src/types/"
    ],
    "types": [
      "@dcloudio/types",
      "@types/wechat-miniprogram",
      "z-paging/global",
      "wot-design-uni/global",
    ],
  },
  "include": [
    "src/**/*.ts",
    "src/**/*.d.ts",
    "src/**/*.tsx",
    "src/**/*.vue",
    "src/**/*.json"
  ],
  "exclude": [
    "unpackage",
    "src/**/*.nvue"
  ]
}
